// 
// File: baselib.h
// Base SCOL library functions
// (Includes only those function that are referenced from other modules)
// F.J. Alberti
// Created: 06/06/2001
// Last Modified: 06/06/2001
//
// Modification history:
//$ FA(19/07/2001): Word and line processing function declarations. MAXCOM
//                  is also #defined here
//

#ifndef _BASELIB_H_
#define _BASELIB_H_


#ifdef __cplusplus
extern "C" {
#endif

#include "mmemory.h"

#define MAXCOM        16384


int SCOLloadBase(mmachine m);
int myhtoi(char* s);
int MBsubstr(mmachine m);
int MBstrdup(mmachine m);
int MBstrcat(mmachine m);
int MBstrcatn(mmachine m);
int MBcom(mmachine m);
int MBcomv(mmachine m);
int MBtl(mmachine m);
int MBwebtostr(mmachine m);
int MBstrtoweb(mmachine m);
char *MBcopyword(char* cr, int* deb);
int MBdeftab(mmachine m);
char *stdGetLine(char *src,char *buf,int n);
int Mcutting(char* comm, char** argv);
int strCutting(char *comm, char **argv);

#ifdef __cplusplus
}
#endif


#endif // baselib.h